var IMAGE_FOLDER = "assets/images/";
var MUSIC_FOLDER = "assets/music/";
function loadImages() {
  IMAGE_FOLDER = ARK_game_arena_connector.getBaseGameUrl() + "assets/images/";
  MUSIC_FOLDER = ARK_game_arena_connector.getBaseGameUrl() + "assets/music/";
  game.load.text("lang_stringss", ARK_game_arena_connector.getBaseGameUrl() + "assets/lang.json");
  game.load.atlas("pak_gift", IMAGE_FOLDER + "darcek.png", IMAGE_FOLDER + "darcek.json", Phaser.Loader.TEXTURE_ATLAS_JSON_HASH);
  game.load.atlas("pak_ribbon", IMAGE_FOLDER + "stuha.png", IMAGE_FOLDER + "stuha.json", Phaser.Loader.TEXTURE_ATLAS_JSON_HASH);
  game.load.atlas("pak_icons", IMAGE_FOLDER + "pak_icons/icons.png", IMAGE_FOLDER + "pak_icons/icons.json", Phaser.Loader.TEXTURE_ATLAS_JSON_HASH);
  game.load.atlas("pak_settingIcons", IMAGE_FOLDER + "setting_icon.png", IMAGE_FOLDER + "setting_icon.json", Phaser.Loader.TEXTURE_ATLAS_JSON_HASH);
  game.load.atlas("pak_brushes", IMAGE_FOLDER + "icons_brushes.png", IMAGE_FOLDER + "icons_brushes.json", Phaser.Loader.TEXTURE_ATLAS_JSON_HASH);
  game.load.atlas("pak_items", IMAGE_FOLDER + "pak_items/items.png", IMAGE_FOLDER + "pak_items/items.json", Phaser.Loader.TEXTURE_ATLAS_JSON_HASH);
  game.load.atlas("pak_categories", IMAGE_FOLDER + "pak_categories/categories.png", IMAGE_FOLDER + "pak_categories/categories.json", Phaser.Loader.TEXTURE_ATLAS_JSON_HASH);
  game.load.image("rotate", IMAGE_FOLDER + "rotate.png");
  game.load.image("bigBtn", IMAGE_FOLDER + "bigBtn.png");
  game.load.image("logo_inl", IMAGE_FOLDER + "logo_inl.png");
  game.load.image("bgButton", IMAGE_FOLDER + "button_new.png");
  game.load.image("panel", IMAGE_FOLDER + "Color_item.png");
  game.load.image("bgMenu", IMAGE_FOLDER + "b1_repeat.png");
  game.load.image("color_selector", IMAGE_FOLDER + "color_selector.png");
  game.load.image("shadowedBg", IMAGE_FOLDER + "shadowedBg.png");
  game.load.image("roundedBG_shadowed", IMAGE_FOLDER + "roundedBG_shadowed.png");
  game.load.image("colorPallette", IMAGE_FOLDER + "Pallette_color.png");
  game.load.image("scrollDot", IMAGE_FOLDER + "loadingDot.png");
  game.load.image("paper", IMAGE_FOLDER + "paper.png");
  game.load.image("buttonRing", IMAGE_FOLDER + "button_settings.png");
  game.load.image("window", IMAGE_FOLDER + "okno_velke.png");
  game.load.image("popup", IMAGE_FOLDER + "popup.png");
  game.load.image("window_square", IMAGE_FOLDER + "okno_velke_hranate.png");
  game.load.image("color_selector_small", IMAGE_FOLDER + "color_selector_small.png");
  game.load.image("colorPalletteSmall", IMAGE_FOLDER + "Pallette_color_Small.png");
  loadLevels();
  var menuImgs = ["menu_0", "menu_100", "menu_200", "menu_300", "menu_400", "menu_500", "menu_600", "menu_700", "menu_800", "menu_900", "menu_1000", "menu_1100"];
  for (var i = 0;i < menuImgs.length;i++) {
    game.load.image(menuImgs[i], IMAGE_FOLDER + "mnu/" + menuImgs[i] + ".png");
  }
}
function loadLevels() {
  const numOfCategories = categories.length;
  if (categories.length !== imagesPerCategory.length) {
    alert("invalid number of categories");
  }
  for (var i = 0;i < numOfCategories;i++) {
    for (var j = 0;j < imagesPerCategory[i];j++) {
      if (j < gameData[0].unlockedLevels[i]) {
        game.load.image(categories[i] + "_" + j, IMAGE_FOLDER + "Levels/" + categories[i] + "_" + j + ".png");
      } else {
        break;
      }
    }
  }
}
function readTextFile(file) {
  var allText;
  var rawFile = new XMLHttpRequest;
  rawFile.open("GET", file, false);
  rawFile.onreadystatechange = function() {
    if (rawFile.readyState === 4) {
      if (rawFile.status === 200 || rawFile.status == 0) {
        allText = rawFile.responseText;
        var levels = [];
        var currWord = "";
        for (var i = 0;i < allText.length;i++) {
          if (allText[i] === "\n") {
            levels.push(currWord);
            currWord = "";
          } else {
            currWord = currWord + allText[i];
          }
        }
        for (var i = 0;i < categories.length;i++) {
          var idx = "menu_" + (i * 100).toString();
          game.load.image(idx, levels[i]);
        }
      }
    }
  };
  rawFile.send(null);
}
function loadMusic() {
  IMAGE_FOLDER = ARK_game_arena_connector.getBaseGameUrl() + "assets/images/";
  MUSIC_FOLDER = ARK_game_arena_connector.getBaseGameUrl() + "assets/music/";
  game.load.audio("soundtrack", [MUSIC_FOLDER + "music_bunny.mp3", MUSIC_FOLDER + "music_bunny.ogg"]);
  game.load.audio("click", [MUSIC_FOLDER + "click.mp3", MUSIC_FOLDER + "click.ogg"]);
  game.load.audio("claim", [MUSIC_FOLDER + "claim.mp3", MUSIC_FOLDER + "claim.ogg"]);
  game.load.audio("coloring", [MUSIC_FOLDER + "coloring.mp3", MUSIC_FOLDER + "coloring.ogg"]);
  game.load.audio("colorPick", [MUSIC_FOLDER + "color_pick.mp3", MUSIC_FOLDER + "color_pick.ogg"]);
}
function loadSplash() {
  IMAGE_FOLDER = ARK_game_arena_connector.getBaseGameUrl() + "assets/images/";
  MUSIC_FOLDER = ARK_game_arena_connector.getBaseGameUrl() + "assets/music/";
  game.load.image("logo_inl", IMAGE_FOLDER + "logo_inl.png");
  game.load.atlas("pak_bg", IMAGE_FOLDER + "pak_bg/background.png", IMAGE_FOLDER + "pak_bg/background.json", Phaser.Loader.TEXTURE_ATLAS_JSON_HASH);
  game.load.image("splashBG", IMAGE_FOLDER + "pak_bg/splashBG.jpg");
  game.load.image("loadingDot", IMAGE_FOLDER + "loadingDot.png");
}
;
