GameTexts = function() {
  this.gameTextsParsed = null;
  this.xml = null;
  this.gameTextsLists = [];
};
GameTexts.prototype = {preload:function() {
}, create:function() {
  var xml = game.cache.getText("lang_stringss");
  var data = JSON.parse(xml)["stringresources"]["strings"]["string"];
  var id;
  for (var i = 0;i < data.length;i++) {
    id = data[i]["-id"];
    if (this.gameTextsLists[id] == null) {
      this.gameTextsLists[id] = [];
    }
    for (var j = 0;j < LANGUAGES.length;j++) {
      this.gameTextsLists[id][LANGUAGES[j]] = data[i][LANGUAGES[j]];
    }
  }
}, textFromID:function(textID) {
  if (this.gameTextsLists[textID] == undefined || this.gameTextsLists[textID][LANGUAGES[GAME_LANGUAGE]] == undefined) {
    return "";
  } else {
    return this.gameTextsLists[textID][LANGUAGES[GAME_LANGUAGE]];
  }
}};
var LANGUAGE_EN = 0;
var LANGUAGE_DE = 1;
var LANGUAGE_ES = 2;
var LANGUAGE_FR = 3;
var LANGUAGE_IT = 4;
var LANGUAGE_BR = 5;
var LANGUAGE_RU = 6;
var LANGUAGES = ["en", "de", "es", "fr", "it", "br", "ru"];
var GAME_LANGUAGE = LANGUAGE_EN;
var systemLang = "";
var TEXT_DAILYBONUS = "DailyBonusKey";
function loadLanguageSettings() {
  var sstmLng = navigator.userLanguage || navigator.language;
  sstmLng = sstmLng.toLowerCase();
  systemLang = "en";
  if (sstmLng.length > 2) {
    sstmLng = sstmLng.substring(0, 2);
  }
  if (sstmLng.indexOf("fr") !== -1) {
    systemLang = "fr";
  }
  if (sstmLng.indexOf("it") !== -1) {
    systemLang = "it";
  }
  if (sstmLng.indexOf("de") !== -1) {
    systemLang = "de";
  }
  if (sstmLng.indexOf("es") !== -1) {
    systemLang = "es";
  }
  if (sstmLng.indexOf("br") !== -1) {
    systemLang = "br";
  }
  if (sstmLng.indexOf("pt") !== -1) {
    systemLang = "br";
  }
  if (sstmLng.indexOf("ru") !== -1) {
    systemLang = "ru";
  }
  GAME_LANGUAGE = LANGUAGES.indexOf(systemLang);
}
;
