width = 0;
height = 0;
var SoundBoard = function() {
};
SoundBoard.prototype = {preload:function() {
  loadMusic();
  this.muted = false;
}, toggleEffects:function() {
  this.claimEffect.mute = !this.claimEffect.mute;
  this.clickEffect.mute = !this.clickEffect.mute;
  this.coloringEffect.mute = !this.coloringEffect.mute;
  this.colorPickEffect.mute = !this.colorPickEffect.mute;
  return !this.claimEffect.mute;
}, toggleMusic:function() {
  this.muted = !this.muted;
  if (this.muted) {
    this.soundTrack.stop();
  } else {
    this.soundTrack.play();
  }
  return this.soundTrack.isPlaying;
}, effectsPlaying:function() {
  return !this.clickEffect.mute;
}, musicPlaying:function() {
  return this.soundTrack.isPlaying;
}, create:function() {
  this.claimEffect = game.sound.add("claim");
  this.clickEffect = game.sound.add("click");
  this.coloringEffect = game.sound.add("coloring");
  this.colorPickEffect = game.sound.add("colorPick");
  this.soundTrack = game.sound.add("soundtrack");
  this.soundTrack.loop = true;
  this.soundTrack.play();
  game.sound.setDecodedCallback(this.soundTrack, function() {
    this.soundTrack.onStop.add(function() {
      if (this.muted === false) {
        this.soundTrack.play();
      }
    }, this);
  }, this);
}, createBitmaps:function() {
}};

