var appState;
var soundBoard = new SoundBoard;
var GameState = function() {
};
GameState.prototype = {preload:function() {
  guiManager.createBackground();
  guiManager.preload();
  soundBoard.preload();
  game.renderer.renderSession.roundPixels = false;
  game.tweens.frameBased = true;
  game.input.onDown.add(function() {
    if (game.paused) {
      game.paused = false;
    }
  });
}, update:function() {
  if (guiManager.currentScreen != null) {
    guiManager.currentScreen.update();
  }
  game.canvas.style.marginTop = "0px";
  game.canvas.style.marginLeft = "0px";
  game.canvas.style.marginRight = "0px";
  var gameCanvas = document.getElementById("gameCanvas");
  var container = gameCanvas.parentElement;
  var offsetWidth = container.clientWidth - game.canvas.clientWidth;
  var offsetHeight = container.clientHeight - game.canvas.clientHeight;
  game.canvas.style.left = offsetWidth > 0 ? offsetWidth * 100 / container.clientWidth / 2 + "%" : 0;
  game.canvas.style.top = offsetHeight > 0 ? offsetHeight * 100 / container.clientHeight / 2 + "%" : 0;
}, create:function() {
  guiManager.create();
  soundBoard.create();
  guiManager.loadScreen(guiManager.screenMenu);
  isWideScreen();
  document.addEventListener("orientationchange", function(event) {
    switch(window.orientation) {
      case -90:
      case 90:
        isWideScreen();
        break;
      default:
        isWideScreen();
    }
  });
}};
